<nav>
  <div class="navbar-header">
    <a href="/"><span class="pagetitle"><i class="fas fa-brain"></i>{{ .Site.Title }}</span></a>
  </div>

  <div class="large-menu">
    <ul class="nav navbar-nav navbar-right">
      {{ $current := . }}
      {{ range .Site.Menus.main }}
        {{ $topLevel := replace .URL "/" "" }}
        <li class="dropdown{{ if eq $current.RelPermalink .URL | or (eq $current.Type $topLevel) | or (and (eq (default (trim .URL "/") .Identifier) "blog") (in (slice "taxonomy" "taxonomyTerm") $current.Kind)) }} active{{ end }}">
          {{ if .HasChildren }}
            <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">{{ .Name }} <span class="caret"></span></a>
            <ul class="dropdown-menu">
          {{ range .Children }}
            <li><a href="{{ .URL }}">{{ .Name }}</a></li>
          {{ end }}
            </ul>
          {{ else }}
            <a href="{{ .URL }}">{{ .Name }}</a>
          {{ end  }}
        </li>
      {{ end }}
    </ul>
    <div class="clear"></div>
  </div>
  <div class="small-menu">
    <div id="menuToggle">
      <input type="checkbox" />
      <span></span>
      <span></span>
      <span></span>
      <ul id="menu">
        {{ $current := . }}
        {{ range .Site.Menus.main }}
          {{ $topLevel := replace .URL "/" "" }}
          <a href="{{ .URL }}"><li>{{ .Name }}</li></a>
        {{ end }}
      </ul>
    </div>
  </div>
  <hr>
</nav>
